Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Class Annotation

    java.lang.Object
      org.eclipse.jface.text.source.Annotation

Direct Known Subclasses:
  AnnotationBag, DefaultRangeIndicator, ProjectionAnnotation, SimpleMarkerAnnotation

public class Annotation
extends Object

Annotation managed by an `IAnnotationModel`.

Annotations are types, associated text, and can be marked as persistent and deleted. Annotations which are not explicitly initialized with an annotation type are of type `"org.eclipse.text.annotation.unknown"`.

Field Summary
`static String` | `TYPE_UNKNOWN` Constant for unknown annotation types.

Constructor Summary
`protected` | `Annotation()` Creates a new annotation that is not persistent and type less.
`` | `Annotation(boolean isPersistent)` Creates a new annotation with the given persistence state.
`` | `Annotation(String type, boolean isPersistent, String text)` Creates a new annotation with the given properties.

Method Summary
`String` | `getText()` Returns the text associated with this annotation.
`String` | `getType()` Returns the type of the annotation.
`boolean` | `isMarkedDeleted()` Returns whether this annotation is marked as deleted.
`boolean` | `isPersistent()` Returns whether this annotation is persistent.
`void` | `markDeleted(boolean deleted)` Marks this annotation deleted according to the value of the `deleted` parameter.
`void` | `setText(String text)` Sets the text associated with this annotation.
`void` | `setType(String type)` Sets the type of this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_UNKNOWN

    public static final String TYPE_UNKNOWN

  Constant for unknown annotation types.

  Value: `"org.eclipse.text.annotation.unknown"`

  Since:
    3.0
  See Also:
    Constant Field Values

Constructor Detail

### Annotation

    protected Annotation()

  Creates a new annotation that is not persistent and type less.

### Annotation

    public Annotation(String type,
                      boolean isPersistent,
                      String text)

  Creates a new annotation with the given properties.

Parameters:
  `type` - the type of this annotation
  `isPersistent` - `true` if this annotation is persistent, `false` otherwise
  `text` - the text associated with this annotation
Since:
  3.0

### Annotation

    public Annotation(boolean isPersistent)

  Creates a new annotation with the given persistence state.

Parameters:
  `isPersistent` - `true` if persistent, `false` otherwise
Since:
  3.0

Method Detail

### isPersistent

    public boolean isPersistent()

  Returns whether this annotation is persistent.

  Returns:
    `true` if this annotation is persistent, `false` otherwise
  Since:
    3.0

### setType

    public void setType(String type)

  Sets the type of this annotation.

  Parameters:
    `type` - the annotation type
  Since:
    3.0

### getType

    public String getType()

  Returns the type of the annotation.

  Returns:
    the type of the annotation
  Since:
    3.0

### markDeleted

    public void markDeleted(boolean deleted)

  Marks this annotation deleted according to the value of the `deleted` parameter.

  Parameters:
    `deleted` - `true` if annotation should be marked as deleted
  Since:
    3.0

### isMarkedDeleted

    public boolean isMarkedDeleted()

  Returns whether this annotation is marked as deleted.

  Returns:
    `true` if annotation is marked as deleted, `false` otherwise
  Since:
    3.0

### setText

    public void setText(String text)

  Sets the text associated with this annotation.

  Parameters:
    `text` - the text associated with this annotation
  Since:
    3.0

### getText

    public String getText()

  Returns the text associated with this annotation.

  Returns:
    the text associated with this annotation or `null`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.